Class | Prawn::Document::BoundingBox
In: | lib/prawn/document/bounding_box.rb
Parent: | Object

### Methods

absolute_bottom absolute_bottom_left absolute_bottom_right absolute_left absolute_right absolute_top absolute_top_left absolute_top_right anchor bottom bottom_left bottom_right height left right stretchy? top top_left top_right width

### Public Instance methods

absolute_bottom()

Absolute bottom y-coordinate of the bottom box

absolute_bottom_left()

Absolute bottom-left point of the bounding box

absolute_bottom_right()

Absolute bottom-left point of the bounding box

absolute_left()

Absolute left x-coordinate of the bounding box

absolute_right()

Absolute right x-coordinate of the bounding box

absolute_top()

Absolute top y-coordinate of the bounding box

absolute_top_left()

Absolute top-left point of the bounding box

absolute_top_right()

Absolute top-right point of the bounding box

anchor()

The translated origin (x,y-height) which describes the location of the bottom left corner of the bounding box

bottom()

Relative bottom y-coordinate of the bounding box (Always 0)

bottom_left()

Relative bottom-left point of the bounding box

bottom_right()

Relative bottom-right point of the bounding box

height()

Height of the bounding box. If the box is ‘stretchy’ (unspecified height attribute), height is calculated as the distance from the top of the box to the current drawing position.

left()

Relative left x-coordinate of the bounding box. (Always 0)

right()

Relative right x-coordinate of the bounding box. (Equal to the box width)

stretchy?()

Returns `false` when the box has a defined height, `true` when the height is being calculated on the fly based on the current vertical position.

top()

Relative top y-coordinate of the bounding box. (Equal to the box height)

top_left()

Relative top-left point of the bounding_box

top_right()

Relative top-right point of the bounding box

width()

Width of the bounding box

[Validate]